FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » Upgrade from 2.3.8 to 2.5.0 fails
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Upgrade from 2.3.8 to 2.5.0 fails [message #11315] Thu, 26 June 2003 10:08 Go to next message
davew is currently offline  davew   Australia
Messages: 77
Registered: June 2002
Location: West Beach, South Austral...
Karma: 0
Member
add to buddy list
ignore all messages by this user

After displaying the following....

==========================================================
Loading Archive /var/www/html/forum/upgrade.php to memory
Archive /var/www/html/forum/upgrade.php loaded
Disable the forum
Forum is now disabled
Check if SQL permissions to perform the upgrade are avaliable
Beginning the file upgrade process
Begining to decompress the archive

Fatal error: Allowed memory size of 20971520 bytes exhausted (tried to allocate 1538991 bytes) in /var/www/html/forum/upgrade.php on line 442
=============================================================

Seen anything like this before??

Regards,
Dave
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11316 is a reply to message #11315] Thu, 26 June 2003 10:15 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Yup Wink It's called memory_limit php ini setting, you need to raise it.

FUDforum Core Developer
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11317 is a reply to message #11316] Thu, 26 June 2003 10:29 Go to previous messageGo to next message
ftanner is currently offline  ftanner   United States
Messages: 35
Registered: May 2003
Location: Phoenix, AZ
Karma: 0
Member
add to buddy list
ignore all messages by this user

prottoss wrote on Thu, 26 June 2003 10:15

Yup Wink It's called memory_limit php ini setting, you need to raise it.


I adjusted my memory limit to 128M and the script STILL fails. It shouldn't need even THAT much to do the upgrade from 2.5.0RC6. What gives?

Fatal error: Allowed memory size of 20971520 bytes exhausted (tried to allocate 1538991 bytes) in /www/html/neutron.intranet.net/FUDforum2/upgrade.php on line 442

AFTER the upsizing of memort_limit in php.ini thusly...

;;;;;;;;;;;;;;;;;;;
; Resource Limits ;
;;;;;;;;;;;;;;;;;;;

max_execution_time = 30 ; Maximum execution time of each script, in seconds
memory_limit = 128M ; Maximum amount of memory a script may consume (8MB)


Oh yeah....And I did an apachectl restart after the changes just to be safe.

[Updated on: Thu, 26 June 2003 10:35]

Report message to a moderator

Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11318 is a reply to message #11317] Thu, 26 June 2003 10:36 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Did you restart Apache after raising the limit?

The script clearly fails when it says that it cannot increase php's memory footprint to just under 21 megs, so the 128 meg limit is clearly not being used.


FUDforum Core Developer
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11319 is a reply to message #11318] Thu, 26 June 2003 10:41 Go to previous messageGo to next message
ftanner is currently offline  ftanner   United States
Messages: 35
Registered: May 2003
Location: Phoenix, AZ
Karma: 0
Member
add to buddy list
ignore all messages by this user

prottoss wrote on Thu, 26 June 2003 10:36

Did you restart Apache after raising the limit?

The script clearly fails when it says that it cannot increase php's memory footprint to just under 21 megs, so the 128 meg limit is clearly not being used.


Yes, thus the line at the end that says I ran an apachectl restart. apachectl is Apache's own stop/start/restart script.

[Updated on: Thu, 26 June 2003 10:41]

Report message to a moderator

Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11320 is a reply to message #11319] Thu, 26 June 2003 10:43 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Perphaps you have another place that sets this limit, vhost for example.
Try doing:
<?php
var_dump
(ini_get("memory_limit"));
?>

to see what the actual memory limit is.


FUDforum Core Developer
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11323 is a reply to message #11320] Thu, 26 June 2003 10:58 Go to previous messageGo to next message
ftanner is currently offline  ftanner   United States
Messages: 35
Registered: May 2003
Location: Phoenix, AZ
Karma: 0
Member
add to buddy list
ignore all messages by this user

prottoss wrote on Thu, 26 June 2003 10:43

Perphaps you have another place that sets this limit, vhost for example.
Try doing:
<?php
var_dump
(ini_get("memory_limit"));
?>

to see what the actual memory limit is.


I'm not vhosted. This is on my LAN intranet.

Your test php script doesn't display anything.
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11325 is a reply to message #11323] Thu, 26 June 2003 11:41 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
That would imply that there no memory limit, have you tried to disable it all together?

FUDforum Core Developer
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11326 is a reply to message #11325] Thu, 26 June 2003 11:54 Go to previous messageGo to next message
ftanner is currently offline  ftanner   United States
Messages: 35
Registered: May 2003
Location: Phoenix, AZ
Karma: 0
Member
add to buddy list
ignore all messages by this user

prottoss wrote on Thu, 26 June 2003 11:41

That would imply that there no memory limit, have you tried to disable it all together?


Disable which? the memory limit? No. I will remark out that line and see what happens.Same error with it remarked out in php.ini. After a stop and restart of Apache.

[Updated on: Thu, 26 June 2003 11:58]

Report message to a moderator

Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11337 is a reply to message #11315] Thu, 26 June 2003 12:47 Go to previous messageGo to next message
ftanner is currently offline  ftanner   United States
Messages: 35
Registered: May 2003
Location: Phoenix, AZ
Karma: 0
Member
add to buddy list
ignore all messages by this user

I looked through my httpd.conf to see if there were any memory limits set anywhere in my <virtualhost>,/virtualhost> area that I ahve for the Instranet site and there are none. I also checked throughout the conf file for any other memory limits that could be set and didn't find any there either.
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11344 is a reply to message #11337] Thu, 26 June 2003 13:26 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Are you certain you are editing the correct php.ini? Look at your phpinfo() to see which ini file is actually being read.

FUDforum Core Developer
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11355 is a reply to message #11344] Thu, 26 June 2003 13:52 Go to previous messageGo to next message
ftanner is currently offline  ftanner   United States
Messages: 35
Registered: May 2003
Location: Phoenix, AZ
Karma: 0
Member
add to buddy list
ignore all messages by this user

prottoss wrote on Thu, 26 June 2003 13:26

Are you certain you are editing the correct php.ini? Look at your phpinfo() to see which ini file is actually being read.


There is only one php.ini file on my system. It's /etc/php.ini.
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11356 is a reply to message #11355] Thu, 26 June 2003 14:01 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Ok, I found the cause for the problem. The upgrade/install had a line (near the top) which said:

ini_get('memory_limit', '20M');

either remove it and change it to a higher value. That should fix the problem.


FUDforum Core Developer
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11359 is a reply to message #11356] Thu, 26 June 2003 14:35 Go to previous messageGo to next message
ftanner is currently offline  ftanner   United States
Messages: 35
Registered: May 2003
Location: Phoenix, AZ
Karma: 0
Member
add to buddy list
ignore all messages by this user

prottoss wrote on Thu, 26 June 2003 14:01

Ok, I found the cause for the problem. The upgrade/install had a line (near the top) which said:

ini_get('memory_limit', '20M');

either remove it and change it to a higher value. That should fix the problem.


Worked like a champ. Thanks.
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11368 is a reply to message #11315] Thu, 26 June 2003 15:56 Go to previous messageGo to next message
jrobbio is currently offline  jrobbio   United Kingdom
Messages: 32
Registered: June 2003
Karma: 0
Member
add to buddy list
ignore all messages by this user
Hi, I'm receiving the same problem and the memory limit on my host is 20mb. I didn't have a problem with the RC4/5 upgrade I did a while back though this one is different.

I've tried lowering the limit and removing it to no avail. Is there any other way round this?

Thanks in advance.

Rob
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11370 is a reply to message #11368] Thu, 26 June 2003 15:58 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Lowering the limit? You should've increased it.

FUDforum Core Developer
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11377 is a reply to message #11315] Thu, 26 June 2003 16:14 Go to previous messageGo to next message
jrobbio is currently offline  jrobbio   United Kingdom
Messages: 32
Registered: June 2003
Karma: 0
Member
add to buddy list
ignore all messages by this user
I can't protoss, my limit set by the hosts is 20mb and I've inquired already to be told it is not possible to change this.

Rob
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11382 is a reply to message #11377] Thu, 26 June 2003 16:39 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
I'll need to see how the script's memory foot print can be reduced.

FUDforum Core Developer
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11385 is a reply to message #11315] Thu, 26 June 2003 16:44 Go to previous messageGo to next message
jrobbio is currently offline  jrobbio   United Kingdom
Messages: 32
Registered: June 2003
Karma: 0
Member
add to buddy list
ignore all messages by this user
If you can it will be much appreciated.

Rob
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11393 is a reply to message #11315] Thu, 26 June 2003 20:45 Go to previous messageGo to next message
davew is currently offline  davew   Australia
Messages: 77
Registered: June 2002
Location: West Beach, South Austral...
Karma: 0
Member
add to buddy list
ignore all messages by this user

Yep, that fixed my problem also... thanks a lot!
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11406 is a reply to message #11315] Fri, 27 June 2003 05:40 Go to previous messageGo to next message
Denmike is currently offline  Denmike   Russian Federation
Messages: 1
Registered: June 2003
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
When upgrading from 2.3.8

Parse error: parse error in /mnt/win/ftp/forum/upgrade.php(893) : eval()'d code on line 1
Failed to parse GLOBALS.php at "/mnt/win/ftp/forum/GLOBALS.php" correctly

Apache 2.0.46 PHP 4.3.2 RedHat Linux 9.0

Forum is work properly from version 2.3.0, 2.3.1 ..... 2.3.8

MD5SUM is OK

[Updated on: Fri, 27 June 2003 07:18]

Report message to a moderator

Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11423 is a reply to message #11406] Fri, 27 June 2003 19:24 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Denmike wrote on Fri, 27 June 2003 05:40

When upgrading from 2.3.8

Parse error: parse error in /mnt/win/ftp/forum/upgrade.php(893) : eval()'d code on line 1
Failed to parse GLOBALS.php at "/mnt/win/ftp/forum/GLOBALS.php" correctly

Apache 2.0.46 PHP 4.3.2 RedHat Linux 9.0

Forum is work properly from version 2.3.0, 2.3.1 ..... 2.3.8

MD5SUM is OK



Make sure your GLOBALS.php is valid, it is and you still experience the problem e-mail me the GLOBALS.php file.


FUDforum Core Developer
Re: Upgrade from 2.3.8 to 2.5.0 fails [message #11439 is a reply to message #11315] Sun, 29 June 2003 12:22 Go to previous message
jrobbio is currently offline  jrobbio   United Kingdom
Messages: 32
Registered: June 2003
Karma: 0
Member
add to buddy list
ignore all messages by this user
Any news on reducing the memory requirement for the installation yet?
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: Can't Get Started with FUDforum2_20030626
Next Topic: Fail to install fud 2.5.0
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Sat Oct 20 11:07:08 EDT 2018

Total time taken to generate the page: 0.00864 seconds